# Portarius 

*[Latin: Porta/Door Arius/Keeper]*

<p align="center">
  <img width="1000" src="https://i.imgur.com/jrnn0kO.png">
</p>

[![GitHub issues](https://img.shields.io/github/issues/zbejas/portarius?color=red)](https://github.com/zbejas/portarius/issues)
[![GitHub release (latest by date)](https://img.shields.io/github/v/release/zbejas/portarius?label=Release)](https://github.com/zbejas/portarius/releases/latest)
[![Release date](https://img.shields.io/github/release-date/zbejas/portarius?labely)](https://github.com/zbejas/portarius/releases/)
![GitHub release (latest by date including pre-releases)](https://img.shields.io/github/v/release/zbejas/portarius?color=yellow&include_prereleases&label=dev-release)

## Features

- User management
- See running/stopped containers (and also start/stop and restart them)
- See container logs, mounts, and status
- Biometric authentication
- Data is stored with AES256 encryption

## Documentation

- [FAQ](https://github.com/zbejas/portarius/wiki/FAQ) 
- [Privacy policy](https://github.com/zbejas/portarius/wiki/Privacy-Policy)

## Install

| Google Play | IzzyOnDroid | GitHub |
| :--: | :--: | :--: |
| [<img src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png" alt="Get it on Google Play" height="80">](https://play.google.com/store/apps/details?id=si.zbe.portarius) | [<img src="https://gitlab.com/IzzyOnDroid/repo/-/raw/master/assets/IzzyOnDroid.png" alt="Get it on IzzyOnDroid" height="80">](https://apt.izzysoft.de/fdroid/index/apk/si.zbe.portarius) | [<img src="https://censorship.no/img/github-badge.png" alt="Get it on Github" height="80">](https://github.com/zbejas/portarius/releases) |

## Screenshots

| Drawer | Home | Auth | Settings |
| :--: | :--: | :--: | :--: |
| <img src="https://i.imgur.com/L8CG6hG.jpeg" width="200"> | <img src="https://i.imgur.com/jbblbfZ.jpeg" width="200"> | <img src="https://i.imgur.com/ETl1vpC.jpeg" width="200"> | <img src="https://i.imgur.com/oNxU12R.jpeg" width="200"> |

<details>
  <summary>Dark mode screenshots</summary>
  
| Drawer | Home | Auth | Settings |
| :--: | :--: | :--: | :--: |
| <img src="https://i.imgur.com/1cmRnmb.jpeg" width="200"> | <img src="https://i.imgur.com/yAKqI9S.jpeg" width="200"> | <img src="https://i.imgur.com/N6MqvTx.jpeg" width="200"> | <img src="https://i.imgur.com/IRjzCYd.jpeg" width="200"> |

</details>

## Contribute

- [Report](https://github.com/zbejas/portarius/issues/new?assignees=&labels=&template=bug_report.md&title=) a bug
- [Request](https://github.com/zbejas/portarius/issues/new?assignees=&labels=&template=feature_request.md&title=) a feature
- [Help](https://github.com/zbejas/portarius/issues) with the issues
- [Send](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests) a pull request

## Donations

| Paypal | LiberaPay | Buy Me a Coffee |
| :--: | :--: | :--: |
| <a href="https://www.paypal.com/paypalme/zbe420"><img src="https://raw.githubusercontent.com/aha999/DonateButtons/master/Paypal.png" height="76" width="208"></a> | <a href="https://liberapay.com/zbejas/donate"><img alt="Donate using Liberapay" src="https://raw.githubusercontent.com/aha999/DonateButtons/master/LiberaPay.png" height="76" width="208"> | <a href="https://www.buymeacoffee.com/zbejas"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="https://www.buymeacoffee.com/zbejas" height="50" width="180"> |
